Error compiling Sage 4.5.1 in OpenSuse 11.3

22 views
Skip to first unread message

Shing

unread,
Jul 23, 2010, 3:52:55 PM7/23/10
to sage-devel
Hi,
When I compile Sage 4.5.1 in Opensue 11.3, I get the following
error.
My cpu is an AMD Athlon 1700XP.

Machine:
Linux hilbert 2.6.34-12-default #1 SMP 2010-06-29 02:39:08 +0200 i686
athlon i386 GNU/Linux
Deleting directories from past builds of previous/current versions of
sqlite-3.6.22
Extracting package /usr/local/lib/sages/sage-4.5.1/spkg/standard/
sqlite-3.6.22.spkg ...
-rw-r--r-- 1 1060 1060 1080534 2010-06-28 17:36 /usr/local/lib/sages/
sage-4.5.1/spkg/standard/sqlite-3.6.22.spkg
sqlite-3.6.22/
sqlite-3.6.22/SPKG.txt
sqlite-3.6.22/.hg/
sqlite-3.6.22/.hg/00changelog.i
sqlite-3.6.22/.hg/requires
sqlite-3.6.22/.hg/undo.dirstate
sqlite-3.6.22/.hg/store/
sqlite-3.6.22/.hg/store/00changelog.i
sqlite-3.6.22/.hg/store/00manifest.i
sqlite-3.6.22/.hg/store/data/
sqlite-3.6.22/.hg/store/data/_s_p_k_g.txt.i
sqlite-3.6.22/.hg/store/data/spkg-install.i
sqlite-3.6.22/.hg/store/data/.hgignore.i
sqlite-3.6.22/.hg/store/data/patches/
sqlite-3.6.22/.hg/store/data/patches/_makefile.in.i
sqlite-3.6.22/.hg/store/undo
sqlite-3.6.22/.hg/attic/
sqlite-3.6.22/.hg/dirstate
sqlite-3.6.22/.hg/undo.branch
sqlite-3.6.22/src/
sqlite-3.6.22/src/depcomp
sqlite-3.6.22/src/sqlite3.pc
sqlite-3.6.22/src/aclocal.m4
sqlite-3.6.22/src/README
sqlite-3.6.22/src/ltmain.sh
sqlite-3.6.22/src/configure
sqlite-3.6.22/src/shell.c
sqlite-3.6.22/src/configure.ac
sqlite-3.6.22/src/config.guess
sqlite-3.6.22/src/install-sh
sqlite-3.6.22/src/config.sub
sqlite-3.6.22/src/missing
sqlite-3.6.22/src/sqlite3.1
sqlite-3.6.22/src/sqlite3.c
sqlite-3.6.22/src/sqlite3.h
sqlite-3.6.22/src/Makefile.am
sqlite-3.6.22/src/Makefile.in
sqlite-3.6.22/src/sqlite3ext.h
sqlite-3.6.22/src/INSTALL
sqlite-3.6.22/src/sqlite3.pc.in
sqlite-3.6.22/patches/
sqlite-3.6.22/spkg-install
sqlite-3.6.22/.hgignore
Finished extraction
****************************************************
Host system
uname -a:
Linux hilbert 2.6.34-12-default #1 SMP 2010-06-29 02:39:08 +0200 i686
athlon i386 GNU/Linux
****************************************************
****************************************************
CC Version
gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/i586-suse-linux/4.5/lto-wrapper
Target: i586-suse-linux
Configured with: ../configure --prefix=/usr --infodir=/usr/share/info
--mandir=/usr/share/man --libdir=/usr/lib --libexec
dir=/usr/lib --enable-languages=c,c++,objc,fortran,obj-c++,java,ada --
enable-checking=release --with-gxx-include-dir=/usr
/include/c++/4.5 --enable-ssp --disable-libssp --disable-plugin --with-
bugurl=http://bugs.opensuse.org/ --with-pkgversion
='SUSE Linux' --disable-libgcj --disable-libmudflap --with-slibdir=/
lib --with-system-zlib --enable-__cxa_atexit --enable
-libstdcxx-allocator=new --disable-libstdcxx-pch --enable-version-
specific-runtime-libs --program-suffix=-4.5 --enable-li
nux-futex --without-system-libunwind --enable-gold --with-plugin-ld=/
usr/bin/gold --with-arch-32=i586 --with-tune=generic
--build=i586-suse-linux
Thread model: posix
gcc version 4.5.0 20100604 [gcc-4_5-branch revision 160292] (SUSE
Linux)
****************************************************
bash: symbol lookup error: bash: undefined symbol:
rl_filename_rewrite_hook

real 0m0.015s
user 0m0.004s
sys 0m0.004s
sage: An error occurred while installing sqlite-3.6.22
Please email sage-devel http://groups.google.com/group/sage-devel
explaining the problem and send the relevant part of
of /usr/local/lib/sages/sage-4.5.1/install.log. Describe your
computer, operating system, etc.
If you want to try to fix the problem yourself, *don't* just cd to
/usr/local/lib/sages/sage-4.5.1/spkg/build/sqlite-3.6.22 and type
'make check' or whatever is appropriate.
Instead, the following commands setup all environment variables
correctly and load a subshell for you to debug the error:
(cd '/usr/local/lib/sages/sage-4.5.1/spkg/build/sqlite-3.6.22' && '/
usr/local/lib/sages/sage-4.5.1/sage' -sh)
When you are done debugging, you can type "exit" to leave the
subshell.
make[1]: *** [installed/sqlite-3.6.22] Error 1
make[1]: Leaving directory `/usr/local/lib/sages/sage-4.5.1/spkg'

real 1m51.825s
user 1m12.881s
sys 0m11.925s
Error building Sage.
matmsh@hilbert:/usr/local/lib/sages/sage-4.5.1>


Thanks in advance for any assistance !
Shing

William Stein

unread,
Jul 23, 2010, 4:06:53 PM7/23/10
to sage-devel
On Fri, Jul 23, 2010 at 12:52 PM, Shing <mat...@yahoo.com> wrote:
> Hi,
>   When I compile Sage 4.5.1 in Opensue 11.3, I get the following
> error.
> My cpu is an AMD  Athlon 1700XP.

I think this is due to an incompatibility between your systemwide
readline and the one included in sage. You might try
cd SAGE_ROOT
rm local/lib/*readline*

> --
> To post to this group, send an email to sage-...@googlegroups.com
> To unsubscribe from this group, send an email to sage-devel+...@googlegroups.com
> For more options, visit this group at http://groups.google.com/group/sage-devel
> URL: http://www.sagemath.org
>

--
William Stein
Associate Professor of Mathematics
University of Washington
http://wstein.org

Thomas Bächler

unread,
Jul 23, 2010, 4:30:43 PM7/23/10
to sage-...@googlegroups.com
Am 23.07.2010 22:06, schrieb William Stein:
> On Fri, Jul 23, 2010 at 12:52 PM, Shing <mat...@yahoo.com> wrote:
>> Hi,
>> When I compile Sage 4.5.1 in Opensue 11.3, I get the following
>> error.
>> My cpu is an AMD Athlon 1700XP.
>
> I think this is due to an incompatibility between your systemwide
> readline and the one included in sage. You might try
> cd SAGE_ROOT
> rm local/lib/*readline*

That'll work as a workaround.

>>
>> [...]


>> bash: symbol lookup error: bash: undefined symbol:
>> rl_filename_rewrite_hook

http://trac.sagemath.org/sage_trac/ticket/9530

This might also be solved by upgrading readline - but as I mentioned in
the above trac, this problem will always resurface sooner or later as
long as sage puts its own readline version into the search path and is
not _always_ at the very latest version.

This now only affects Arch Linux and openSuSE, because all/most other
distros are outdated enough to still use readline 5, which will not
conflict in any way with readline 6 due to different library SONAMEs.

signature.asc

William Stein

unread,
Jul 23, 2010, 4:40:41 PM7/23/10
to sage-...@googlegroups.com
On Fri, Jul 23, 2010 at 1:30 PM, Thomas Bächler
<tho...@momo.math.rwth-aachen.de> wrote:
> Am 23.07.2010 22:06, schrieb William Stein:
>> On Fri, Jul 23, 2010 at 12:52 PM, Shing <mat...@yahoo.com> wrote:
>>> Hi,
>>>   When I compile Sage 4.5.1 in Opensue 11.3, I get the following
>>> error.
>>> My cpu is an AMD  Athlon 1700XP.
>>
>> I think this is due to an incompatibility between your systemwide
>> readline and the one included in sage.    You might try
>>     cd SAGE_ROOT
>>     rm local/lib/*readline*
>
> That'll work as a workaround.

Thanks Thomas: the only reason I knew about this problem was because
you tracked it down, explained it to me, etc.
thanks!

>
>>>
>>> [...]
>>> bash: symbol lookup error: bash: undefined symbol:
>>> rl_filename_rewrite_hook
>
> http://trac.sagemath.org/sage_trac/ticket/9530
>
> This might also be solved by upgrading readline - but as I mentioned in
> the above trac, this problem will always resurface sooner or later as
> long as sage puts its own readline version into the search path and is
> not _always_ at the very latest version.
>
> This now only affects Arch Linux and openSuSE, because all/most other
> distros are outdated enough to still use readline 5, which will not
> conflict in any way with readline 6 due to different library SONAMEs.
>
>

--
William Stein

David Kirkby

unread,
Jul 23, 2010, 8:57:25 PM7/23/10
to sage-...@googlegroups.com

Sage could easily keep the latest readline. I don't think its a
package which get updated a lot.

6.1 came out 1st Jan this year.
6.0 came out 20th Feb 2009 - almost a year earlier
5.2 (which was the the last of the 5.x series) came out in 2006.

So ony two updated in 4 years.

Dave

Dave

Shing

unread,
Jul 24, 2010, 11:28:44 AM7/24/10
to sage-devel
Hi,
After
rm (SAGE_ROOT)/local/lib/*readline*

sage compiles successfully in Opensue 11.3.

Thanks!
Shing
> > Please email sage-develhttp://groups.google.com/group/sage-devel
> > explaining the problem and send the relevant part of
> > of /usr/local/lib/sages/sage-4.5.1/install.log.  Describe your
> > computer, operating system, etc.
> > If you want to try to fix the problem yourself, *don't* just cd to
> > /usr/local/lib/sages/sage-4.5.1/spkg/build/sqlite-3.6.22 and type
> > 'make check' or whatever is appropriate.
> > Instead, the following commands setup all environment variables
> > correctly and load a subshell for you to debug the error:
> > (cd '/usr/local/lib/sages/sage-4.5.1/spkg/build/sqlite-3.6.22' && '/
> > usr/local/lib/sages/sage-4.5.1/sage' -sh)
> > When you are done debugging, you can type "exit" to leave the
> > subshell.
> > make[1]: *** [installed/sqlite-3.6.22] Error 1
> > make[1]: Leaving directory `/usr/local/lib/sages/sage-4.5.1/spkg'
>
> > real    1m51.825s
> > user    1m12.881s
> > sys     0m11.925s
> > Error building Sage.
> > matmsh@hilbert:/usr/local/lib/sages/sage-4.5.1>
>
> > Thanks in advance for any assistance !
> > Shing
>
> > --
> > To post to this group, send an email to sage-...@googlegroups.com
> > To unsubscribe from this group, send an email to sage-devel+...@googlegroups.com
> > For more options, visit this group athttp://groups.google.com/group/sage-devel

Jae

unread,
Jul 24, 2010, 12:58:22 PM7/24/10
to sage-devel
Hi,

I did
rm (SAGE_ROOT)/local/lib/*readline*
but still get the following error.

========
Machine: Linux linux-zvbz.site 2.6.34-12-desktop #1 SMP PREEMPT
2010-06-29 02:39:08 +0200 x86_64 x86_64 x86_64 GNU/Linux
=========
.................
=========
checking for dlopen in -ldl... yes
checking readline/history.h usability... yes
checking readline/history.h presence... yes
checking for readline/history.h... yes
checking readline/readline.h usability... yes
checking readline/readline.h presence... yes
checking for readline/readline.h... yes
checking for rl_callback_read_char in -lreadline... no
checking for main in -lncurses... no
checking for main in -ltermcap... yes
checking for rl_callback_read_char in -lreadline... no
checking for history_truncate_file... no
configure: error: --with-readline=yes (default) and headers/libs are
not available
Error configuring R.

real 0m9.815s
user 0m4.207s
sys 0m3.239s
sage: An error occurred while installing r-2.10.1.p2
Please email sage-devel http://groups.google.com/group/sage-devel
explaining the problem and send the relevant part of
of /home/champs/sage-4.5.1/install.log. Describe your computer,
operating system, etc.
If you want to try to fix the problem yourself, *don't* just cd to
/home/champs/sage-4.5.1/spkg/build/r-2.10.1.p2 and type 'make check'
or whatever is appropriate.
Instead, the following commands setup all environment variables
correctly and load a subshell for you to debug the error:
(cd '/home/champs/sage-4.5.1/spkg/build/r-2.10.1.p2' && '/home/champs/
sage-4.5.1/sage' -sh)
When you are done debugging, you can type "exit" to leave the
subshell.
make[1]: *** [installed/r-2.10.1.p2] Error 1
make[1]: Leaving directory `/home/champs/sage-4.5.1/spkg'

real 0m16.363s
user 0m10.554s
sys 0m3.748s
Error building Sage.


Thank you for your attentions
Jae

Dr. David Kirkby

unread,
Jul 24, 2010, 1:25:47 PM7/24/10
to sage-...@googlegroups.com
On 07/24/10 05:58 PM, Jae wrote:
> Hi,
>
> I did
> rm (SAGE_ROOT)/local/lib/*readline*
> but still get the following error.

Try copying the following to the directory sage-4.5.1/spkg/standard

http://boxen.math.washington.edu/home/kirkby/patches/readline-6.1.spkg

It is the latest readline. I removed all the Sage patches, and anything else. I
have not checked it on any Linux system, OS X system. All I did was a very quick
check on an OpenSolaris system. It seems to build ok.

Give it a try

Dave

William Stein

unread,
Jul 24, 2010, 1:26:17 PM7/24/10
to sage-...@googlegroups.com
Install the system-wide readline-dev package for your linux distro.

William

2010/7/24 Jae <jae0you...@gmail.com>:

> For more options, visit this group at http://groups.google.com/group/sage-devel
> URL: http://www.sagemath.org
>

--
William Stein

Jae

unread,
Jul 25, 2010, 12:54:51 PM7/25/10
to sage-devel
Hi,

After
1. copying the following to the directory sage-4.5.1/spkg/standard

http://boxen.math.washington.edu/home/kirkby/patches/readline-6.1.spkg

2. Installing the system-wide readline-dev package for your linux
distro.


sage compiles successfully in Opensue 11.3.

Thanks,
Jae

On 7월24일, 오전10시26분, William Stein <wst...@gmail.com> wrote:
> Install the system-wide readline-dev package for your linux distro.
>
> William
>
> 2010/7/24 Jae <jae0young.p...@gmail.com>:

David Kirkby

unread,
Jul 27, 2010, 2:08:14 PM7/27/10
to sage-...@googlegroups.com
2010/7/25 Jae <jae0you...@gmail.com>:

> Hi,
>
>  After
> 1. copying the following to the directory sage-4.5.1/spkg/standard
>
> http://boxen.math.washington.edu/home/kirkby/patches/readline-6.1.spkg
>
> 2. Installing the system-wide readline-dev package for your linux
> distro.
>
>
>   sage compiles  successfully in Opensue 11.3.
>
> Thanks,

Glad you got it fixed. It would be interesting to know if Sage could
avoid these OpenSUSE issues by just shipping the latest readline.
Unfortunately, we don't know here if installing the later readline
from Sage, or installing the development libraries from OpenSUSE fixed
the problem. But at least it is working for you.

Dave

Reply all
Reply to author
Forward
0 new messages